<head>
    <link rel="stylesheet" 
    href="https://cdn.jsdelivr.net/npm/bootstrap@3.4.1/dist/css/bootstrap.min.css" 
    integrity="sha384-HSMxcRTRxnN+Bdg0JdbxYKrThecOKuH5zCYotlSAcp1+c8xmyTe9GYg1l9a69psu" 
    crossorigin="anonymous">
</head>


<div class="container">
<h1>Login Form</h1>

<form #loginForm="ngForm" (ngSubmit)="loginSubmit(loginForm.value)" novalidate>
    <table>
        <tr>
            <td>
            <div class="input-group">
                <span class="input-group-addon"><i class="glyphicon glyphicon-user"></i></span>
                <input type="text" class="form-control" name="emailId"  #emailId="ngModel" ngModel required minlength="2" maxlength="30" />
            </div>
            <br/>
            </td>
        </tr>
        <tr>
            <td>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-lock"></i></span>
                    <input type="password" class="form-control" name="password" #password="ngModel" ngModel required minlength="2" maxlength="10"/>
                </div>
                <br/>
            </td>
        </tr>
        <tr>
            <td>
                <button [disabled]="!loginForm.valid" class="btn btn-primary">Login</button> New User? <a routerLink="//register">SignUp</a>
            </td>
        </tr>
    </table>
<br/>

<div style="color: red;">

   <div *ngIf="emailId.errors?.['required'] && emailId.touched">Please provide the Email-Id</div> 
   <div *ngIf="password.errors?.['required'] && password.touched">Please provide the Password</div> 

   <div *ngIf="emailId.errors?.['minlength'] && emailId.touched">Please provide atleast 2 characters for Email-Id</div> 
   <div *ngIf="password.errors?.['minlength'] && password.touched">Please provide atleast 2 characters for Password</div> 

</div>

</form>
</div>

